View Issue Details

IDProjectCategoryLast Update
0019320AI War 2[All Projects] Gameplay IdeaFeb 13, 2018 12:09 am
ReporterBadgerBadgerAssigned ToBadgerBadger 
Severityminor 
Status closedResolutionfixed 
Product Version0.612 
Fixed in Version0.706 
Summary0019320: Firing continues without enemy ships on a planet
DescriptionIf you open this save game and enter the planet Guha you will hear firing. Ships on this planet continue to fire even though there are no enemies on this planet. I had taken my fleet to planet Hoare, fought enemies there, then retreated to this planet. I note on Hoare there is a damaged NeedlerGuardian_Mark2/

Here are some logging statements issued by the code illustrating the problem
12/22/2017 3:41:48 PM Enter ActuallyFireSalvo. CarrierStarship_Mark1 is firing 1 total shots
12/22/2017 3:41:48 PM CarrierStarship_Mark1 is making salvo noise. Shot 0 of salvoSize 1 at NeedlerGuardian_Mark2
12/22/2017 3:41:48 PM playsoundAtMainGameLocation
12/22/2017 3:41:48 PM Enter ActuallyFireSalvo. MissileCorvette_Mark1 is firing 5 total shots
12/22/2017 3:41:48 PM Enter ActuallyFireSalvo. SniperStarship_Mark1 is firing 1 total shots
12/22/2017 3:41:48 PM Enter ActuallyFireSalvo. StealthStarship_Mark1 is firing 1 total shots
12/22/2017 3:41:48 PM StealthStarship_Mark1 is making salvo noise. Shot 0 of salvoSize 1 at NeedlerGuardian_Mark2
12/22/2017 3:41:48 PM playsoundAtMainGameLocation
12/22/2017 3:41:48 PM Enter ActuallyFireSalvo. MissileCorvette_Mark1 is firing 5 total shots
12/22/2017 3:41:48 PM Enter ActuallyFireSalvo. ShieldStarship_Mark1 is firing 1 total shots
12/22/2017 3:41:48 PM ShieldStarship_Mark1 is making salvo noise. Shot 0 of salvoSize 1 at NeedlerGuardian_Mark2
12/22/2017 3:41:48 PM playsoundAtMainGameLocation

The critical logs are emitted by
                    if ( !hasPlayedSoundYet )
                    {
                        hasPlayedSoundYet = true; //otherwise we spam the queue and I'm just going to discard them anyway!
                        string target = "null";
                        if(autoTarget != null)
                            target = autoTarget.TypeData.InternalName;
                        ArcenDebugging.ArcenDebugLogSingleLine(this.ParentEntity.TypeData.InternalName + " is making salvo noise. Shot " + j + " of salvoSize " + salvoSize + " at " + target, Verbosity.DoNotShow );
                        newShot.PlayJustFiredSound();
                    }
in ActuallyFireSalvo()

I suspect there is some sort of race condition between "Ship going through wormhole" and "EntitySystem acquires target" that causes it not to clear the target.
TagsNo tags attached.

Activities

BadgerBadger

Dec 22, 2017 3:56 pm

manager  

Bug~#SI#681276224#1085#dsa#Vanilla#Normal.save (1,702,649 bytes)

BadgerBadger

Dec 22, 2017 4:25 pm

manager   ~0046640

I started a new game with the Devourer, then used the Debug menu to give myself vision of the whole galaxy. I then hear a bunch of shot noises and see inmy log
12/22/2017 4:23:28 PM LaserGuardian_Mark4 is making salvo noise. Shot 0 of salvoSize 1 at DevourerGolem
12/22/2017 4:23:28 PM Enter ActuallyFireSalvo. MissileCorvette_Mark4 is firing 5 total shots
12/22/2017 4:23:28 PM MissileCorvette_Mark4 is making salvo noise. Shot 0 of salvoSize 1 at DevourerGolem
12/22/2017 4:23:29 PM Enter ActuallyFireSalvo. DevourerGolem is firing 16 total shots
12/22/2017 4:23:29 PM DevourerGolem is making salvo noise. Shot 0 of salvoSize 16 at WarheadSuppressor
12/22/2017 4:23:29 PM Enter ActuallyFireSalvo. StealthGuardian_Mark4 is firing 1 total shots
12/22/2017 4:23:29 PM StealthGuardian_Mark4 is making salvo noise. Shot 0 of salvoSize 1 at DevourerGolem
12/22/2017 4:23:29 PM Enter ActuallyFireSalvo. LaserGuardian_Mark4 is firing 1 total shots
12/22/2017 4:23:29 PM LaserGuardian_Mark4 is making salvo noise. Shot 0 of salvoSize 1 at DevourerGolem
12/22/2017 4:23:30 PM Enter ActuallyFireSalvo. DevourerGolem is firing 16 total shots
12/22/2017 4:23:30 PM DevourerGolem is making salvo noise. Shot 0 of salvoSize 16 at ShieldGenerator_Mark4
12/22/2017 4:23:30 PM Enter ActuallyFireSalvo. StealthGuardian_Mark4 is firing 1 total shots
12/22/2017 4:23:30 PM StealthGuardian_Mark4 is making salvo noise. Shot 0 of salvoSize 1 at DevourerGolem
12/22/2017 4:23:31 PM Enter ActuallyFireSalvo. DevourerGolem is firing 16 total shots
12/22/2017 4:23:31 PM DevourerGolem is making salvo noise. Shot 0 of salvoSize 16 at Bomber_Mark4

This planet was across the galaxy from my ships. Is it expected that any combat anywhere I have vision should make shooty noises? If so then the Dyson Sphere/Nanocaust/Devourer will make the game very loud..... Perhaps we need to limit it to "Only in combat with my faction"?

keith.lamothe

Dec 22, 2017 5:04 pm

administrator   ~0046641

In the svn now:

- simplified DoSystemStep and made it not call ActuallyFireSalvo unless there's some chance that it can actually fire (most of the time it wasn't actually firing due to lack of a target, so it was something of a misnomer)

- added a bunch of tracing to DoSystemStep under the IndividualLogic tracing flag (can be turned on in-game under Menu > System > Debug > Tracing


Long story short: ActuallyFireSalvo was being called but didn't actually spawn any shots unless it had a target, and it won't target something off planet (none of my testing has been able to cause that, anyway), so if you can retry with these changes I'd appreciate it.

The sounds and explosions are definitely happening to ships long after they've left the battle, but it's not because of the ActuallyFireSalvo calls.

BadgerBadger

Dec 22, 2017 5:12 pm

manager   ~0046642

I have a fix in my sandbox that hopefully will eliminate the extra explosions.

BadgerBadger

Dec 25, 2017 10:49 pm

manager   ~0046647

I still observe non-Human faction firings causing the "shooting" noise. I added some logging to ActuallyFireSalvo and enabled the nanocaust and I see

12/25/2017 10:46:57 PM Aberration on Arcen.AIW2.Core.Planet is making salvo noise. Shot 0 of salvoSize 1 at ShieldGenerator_Mark2 <=== this is where the call to the Presentation layer is made
12/25/2017 10:46:57 PM Enter ActuallyFireSalvo. Abomination on Arcen.AIW2.Core.Planet is firing 1 total shots
12/25/2017 10:46:57 PM Abomination on Arcen.AIW2.Core.Planet is making salvo noise. Shot 0 of salvoSize 1 at ShieldGenerator_Mark2
12/25/2017 10:46:57 PM Enter ActuallyFireSalvo. Abomination on Arcen.AIW2.Core.Planet is firing 16 total shots
12/25/2017 10:46:57 PM Abomination on Arcen.AIW2.Core.Planet is making salvo noise. Shot 0 of salvoSize 16 at ShieldGenerator_Mark2
12/25/2017 10:46:57 PM Enter ActuallyFireSalvo. Abomination on Arcen.AIW2.Core.Planet is firing 1 total shots
12/25/2017 10:46:57 PM Abomination on Arcen.AIW2.Core.Planet is making salvo noise. Shot 0 of salvoSize 1 at ShieldGenerator_Mark2
12/25/2017 10:46:57 PM Enter ActuallyFireSalvo. Abomination on Arcen.AIW2.Core.Planet is firing 16 total shots
12/25/2017 10:46:57 PM Abomination on Arcen.AIW2.Core.Planet is making salvo noise. Shot 0 of salvoSize 16 at ShieldGenerator_Mark2

BadgerBadger

Dec 25, 2017 10:49 pm

manager   ~0046648

Not that Aberration and Abominations are ships owned by the Nanocaust

BadgerBadger

Feb 13, 2018 12:09 am

manager   ~0046964

Fixed in .706

Issue History

Date Modified Username Field Change
Dec 22, 2017 3:56 pm BadgerBadger New Issue
Dec 22, 2017 3:56 pm BadgerBadger File Added: Bug~#SI#681276224#1085#dsa#Vanilla#Normal.save
Dec 22, 2017 3:57 pm x4000Bughunter Assigned To => keith.lamothe
Dec 22, 2017 3:57 pm x4000Bughunter Status new => assigned
Dec 22, 2017 4:25 pm BadgerBadger Note Added: 0046640
Dec 22, 2017 5:04 pm keith.lamothe Status assigned => feedback
Dec 22, 2017 5:04 pm keith.lamothe Note Added: 0046641
Dec 22, 2017 5:12 pm BadgerBadger Note Added: 0046642
Dec 22, 2017 5:12 pm BadgerBadger Status feedback => assigned
Dec 25, 2017 10:49 pm BadgerBadger Note Added: 0046647
Dec 25, 2017 10:49 pm BadgerBadger Note Added: 0046648
Feb 13, 2018 12:09 am BadgerBadger Assigned To keith.lamothe => BadgerBadger
Feb 13, 2018 12:09 am BadgerBadger Status assigned => closed
Feb 13, 2018 12:09 am BadgerBadger Resolution open => fixed
Feb 13, 2018 12:09 am BadgerBadger Fixed in Version => 0.706
Feb 13, 2018 12:09 am BadgerBadger Note Added: 0046964